Subject: bug#7507: 24.0.50; GDB dialog: default should not be `Yes' if GDB is not installed

From: "Drew Adams" <[email-masked]>
Date: Sun, 28 Nov 2010 08:52:46 -0800

Why does the question asking whether I want to debug with GDB have `Yes'
as the default value if I don't even have GDB installed?  That obliges
users to pick up the mouse and click `No' instead of just hitting RET.
If you try to answer `Yes' you just get into trouble: That provokes a
Microsoft error, letting you send lots of interesting info to MS for
`GNU Emacs: The extensible self-documenting text editor'.  I.e., `Yes'
=> Microsoft dialog box: `Send Error Report' or `Don't Send'.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-11-22 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'